=== examples/virtualkeyboard/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::QuickControls2)
    qt_internal_add_example(basic)
endif()
