=== src/plugins/myscript/CMakeLists.txt ===
add_subdirectory(plugin)
