=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-multimedia-dev (>= 6.9.3~),
               qt6-svg-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard
Maintainer: Neon CI <neon@kde.org>

Package: qt6-virtualkeyboard
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-declarative,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6hunspellinputmethod6,
          libqt6virtualkeyboard6,
          qml6-module-qtquick-virtualkeyboard,
          qt6-virtualkeyboard-plugin
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qt6-virtualkeyboard-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-svg-dev,
         qt6-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~)
Replaces: libqt6virtualkeyboard6-dev, qt6-virtualkeyboard-examples
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-virtualkeyboard-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-virtualkeyboard-doc-html
Description: Qt 6 Virtual Keyboard - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the documentation files used to help implement input
 methods for virtual keyboards.

Package: libqt6virtualkeyboard6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6virtualkeyboardsettings6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6hunspellinputmethod6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-plugin
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Depends: qt6-virtualkeyboard-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-examples
Architecture: all
Depends: qt6-virtualkeyboard-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
