=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtvirtualkeyboard-everywhere-src-(.*)\.tar\.xz
Dversionmangle: s/\+dfsg//
Repacksuffix: +dfsg
Uversionmangle: s/-/~/
